Subject: RE: IPv6 addresses inside an NSAPA issues

From: "Pandey, Arun" <[email-masked]>
Date: Mon, 2 Aug 2004 05:54:30 -0400

Brian,
>I would also encourage Arun and anyone from the ATM
>Forum who is interested in IPv6 addresses in NSAP to submit a draft
>on the issue.  If there is interest from the WG, I would support
>that work being done here.

Ok, I will initiate work on preapring a draft on the issue and submiting it, soon. Based on the response/interest/comments to this draft, suitable way forward as seen fit could then be taken-up. Anybody from ATM Forum interested in the issue is welcome to join in.

Regards,
Arun.

-----Original Message-----
From: Brian Haberman [mailto:[email-masked]]
Sent: Friday, July 30, 2004 7:54 PM
To: Brian E Carpenter
Cc: Pandey, Arun; [email-masked]
Subject: Re: IPv6 addresses inside an NSAPA issues

Brian,
      As one co-chair, I would support the effort to move RFC 1888
to Historic.  I would also encourage Arun and anyone from the ATM
Forum who is interested in IPv6 addresses in NSAP to submit a draft
on the issue.  If there is interest from the WG, I would support
that work being done here.

Regards,
Brian

Brian E Carpenter wrote:

> Arun,
> 
> 1888 is an Experimental RFC that contains health warnings that it
> won't work, and as far as I know nobody has ever attempted to
> implement it. There also is some interest in the ATM Forum in the
> mapping of IP addresses inside NSAP addresses, but that is another
> story.
> 
> My opinion as the main author of 1888 is that it is well overdue
> to be downgraded to Historic, but I was hoping to see a draft from
> the ATM people that updates the small part of it that they need, which
> is also the part you are interested in.
> 
> Without really thinking about it, and with my OSI knowledge having
> ten years' rust on it, it seems to me that port numbers belong in
> the TSAP address, not the NSAP address. But since I have no idea
> why anyone would care, I'd prefer that we simply downgrade the
> RFC and forget about. Could I ask whether the WG would support
> that? If so the chairs could request the IESG to do it.
> 
> Then people interested in the section 'IPv6 addresses inside an NSAPA'
> (i.e. you and the ATM Forum) could deal with this as you see fit.
> 
> Regards
>     Brian
> 
> 
> Pandey, Arun wrote:
> 
>> Hi,
>>
>> RFC 1888 section 'IPv6 addresses inside an NSAPA' does not provide a 
>> way to put the tcp port number inside the NSAP. Whereas for IPv4 
>> addresses `RFC 1277 section 4.5  - TCP/IP Network Specific Format` 
>> specified a format that allowed the port number to be also specified. 
>> For certain applications like the 'OSI Directory services' working in 
>> a internet environment it might be required to store and pass the tcp 
>> port number along with the IPv6 address.
>> Also RFC 1278 that specified a string representation for the 
>> presentation address, doesn't seem to have been updated for specifying 
>> a string representation for the presentation address to carry IPv6 
>> addresses. The various proposed representations do make space for 
>> specifying the port number along with the IPv6 address in the 
>> Presentation Address.
>>
>> This seems to create a situation that if an application is to encode 
>> the NSAP, specified in the string representation of the presentation 
>> address, as per RFC 1888, it will not be able to encode the port 
>> number [if present] along with the IPv6 address, in the NSAPA. This 
>> will force the application to store the port number [if present] in an 
>> alternate location.
>>
>> If the application now wants to transfer this encoded Presentation 
>> Address to another application:
>>
>> 1) Both the applications would need to agree on an alternate field 
>> where to specify the port number, to be able     to reconstruct the 
>> original presentation address.
>> or
>> 2) The applications will have to agree on transferring the string 
>> encoding of the presentation address to each other. But     even for 
>> that the string representation of the presentation address for 
>> carrying the IPv6 address needs to be agreed     upon first.
>> or
>> 3) A encoding format for IPv6 addresses inside an NSAPA would need to 
>> be specified that would allow the carriage of    the port number along 
>> with the IPv6 address inside an NSAPA.
>>
>> Each of the above alternatives has its own set of implications. What 
>> do others think?  Any opinions or suggestions will be highly appreciated.
>>
>> Best Regards
>> Arun Pandey
>>
>>
>> --------------------------------------------------------------------
>> IETF IPv6 working group mailing list
>> [email-masked]
>> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
>>
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 03 Aug 2004 00:54:37 +0200

Arun,

I will forward you separately the mail thread involving the ATM Forum
people, who are probably not on this list.

Since the ATM Forum is apparently about to merge with other
organisations, it may be a while before they respond...

    Brian